#!/bin/bash

# Path setup
src=$PWD
cd ..
mkdir -p build
cd build

# Build the base layer as base.so
gcc -fvisibility=hidden -fPIC -shared $src/base.target.c -o base.so

# Build the main layer
gcc -fvisibility=hidden $src/main.c -o main

# Build the plugin layer
gcc -fvisibility=hidden -fPIC -shared $src/plugin.c -o plugin.so
